Subject: [Pce] new version of draft-ietf-pce-pcep-p2mp-extensions

From: Quintin Zhao <[email-masked]>
Date: Wed, 05 Nov 2008 16:05:34 -0500

Hi all,

We made an update for this draft. The main update in this new version is
based on the new requirement specified in section 2.1.7 of
draft-ietf-pce-p2mp-req-00.txt. 

The requirement is: 

A single P2MP LSP may have very many destinations, and the computed path
(tree) may be very extensive. In these cases it is possible that the entire
Path Computation Request or Response cannot fit within one PCE message.
Therefore, it MUST be possible for a single request or response to be
conveyed by a sequence of PCE messages.

In this new version of the draft, we propose to use SVEC/synctimer mechanism
both for PCReq message and PCRep message in case of too large P2MP Path
Computation Request or Response. 

Thanks,
Quintin

> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Path Computation Element Working Group of
the
> IETF.
> 
> Title  : Extensions to the Path Computation  Element Communication
Protocol
> (PCEP) for Point-to-Multipoint Traffic Engineering Label Switched Paths
> Author(s) : Q. Zhao, D. King, F. Verhaeghe, T. Takeda, M. Chaitou, J. Le
Roux,
> Z. Ali
> Filename : draft-ietf-pce-pcep-p2mp-extensions-01.txt
> Pages  : 29
> Date  : 2008-11-3
> 
> Point-to-point Multiprotocol Label Switching (MPLS) and Generalized
MPLS
> (GMPLS) Traffic Engineering Label Switched Paths (TE LSPs) may
>    be established using signaling techniques, but their paths may first
>    be determined.  The Path Computation Element (PCE) has been
>    identified as an appropriate technology for the determination of the
>    paths of P2MP TE LSPs.
> 
>    This document describes extensions to the PCE communication Protocol
>    (PCEP) to handle requests and responses for the computation of paths
>    for P2MP TE LSPs.
> 
> A URL for this Internet-Draft is:
>
http://www.ietf.org/internet-drafts/draft-ietf-pce-pcep-p2mp-extensions-01.t
xt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce